Subject: bug#8677: closed (Re: bug#8677: Warning: `(tag (slot-value sbm (quote tag)))' is a malformed function)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 May 2011 19:51:02 +0000

Your bug report

#8677: Warning: `(tag (slot-value sbm (quote tag)))' is a malformed function

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8677: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8677
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8677: Warning: `(tag (slot-value sbm (quote tag)))' is a malformed function
From: Stefan Monnier <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 16 May 2011 16:49:53 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>> Is there some extra steps to perform other than "emacs -Q -l
>> semantic/mru-bookmark"?
> Bootstrap? I know you are not a fan... :)

Should be fixed now, thank you,

        Stefan

--- lisp/emacs-lisp/eieio.el	2011-05-08 02:33:28 +0000
+++ lisp/emacs-lisp/eieio.el	2011-05-16 19:47:57 +0000
@@ -1308,7 +1308,7 @@
        (defgeneric ,method ,args
          ,(or (documentation code)
               (format "Generically created method `%s'." method)))
-       (eieio--defmethod ',method ',key ',class ',code))))
+       (eieio--defmethod ',method ',key ',class #',code))))
 
 (defun eieio--defmethod (method kind argclass code)
   "Work part of the `defmethod' macro defining METHOD with ARGS."

Subject: Warning: `(tag (slot-value sbm (quote tag)))' is a malformed function
From: sss <[email-masked]>
To: [email-masked]
Date: Mon, 16 May 2011 23:12:28 +0800 (CST)
List-Id: <debbugs-submit.debbugs.gnu.org>

When I can start emacs, one *Compile-Log* buffer will show the following warning:

Warning: `(tag (slot-value sbm (quote tag)))' is a malformed function

If I revert the last two revision of eieio.el, the warning will disappear.